Valorant API Unofficial docs
API Reference Premier
GET

Premier Roster Public Info

Get public info for a Premier roster by roster ID, including members, customization, and detailed season match/tournament data.

Internal name Premier_GetRosterPublicInfo Server PD · shard Auth Bearer + Entitlements
GET https://pd.{shard}.a.pvp.net/premier/v2/rosters/{rosterid}/publicInfo
Try this request in the browser with your own values

Headers

X-Riot-ClientPlatform string required
Value {client platform}— Base64-encoded client platform JSON
X-Riot-ClientVersion string required
Value {client version}— The current Valorant client version
X-Riot-Entitlements-JWT string required
Value {entitlement token}— From the Entitlements Token or Entitlement endpoint
Authorization string required
Value Bearer {auth token}— From the Entitlements Token endpoint or Riot auth

URL parameters

shard enum required

na, pbe, eu, ap or kr: depends on where the account was created.

napbeeuapkr
How to get it

The shard is dependent on where the Riot account was created.
There are 5 shards:

Shard Region(s)
na latam, br, na
pbe na
eu eu
ap ap
kr kr
Obtaining locally:

The shard can be found in the ShooterGame log (%LocalAppData%\VALORANT\Saved\Logs\ShooterGame.log ) when it's used in an endpoint url.
Example regex capturing region and shard: https://glz-(.+?)-1.(.+?).a.pvp.net

Obtaining remotely:

The shard can be found from using a lookup table with the region. To find the region, use the Riot Geo endpoint with the ID and auth tokens from Cookie Reauth

Other variables

client platform Base64-encoded client platform JSON.
Details

A string representing the platform of the client. Base-64 encoded JSON with the following fields:

{
    "platformType": "PC",
    "platformOS": "Windows",
    "platformOSVersion": "10.0.26200.1.256.64bit",
    "platformChipset": "Unknown"
}
ewoJInBsYXRmb3JtVHlwZSI6ICJQQyIsCgkicGxhdGZvcm1PUyI6ICJXaW5kb3dzIiwKCSJwbGF0Zm9ybU9TVmVyc2lvbiI6ICIxMC4wLjI2MjAwLjEuMjU2LjY0Yml0IiwKCSJwbGF0Zm9ybUNoaXBzZXQiOiAiVW5rbm93biIKfQ== is a value that works.

client version The current Valorant client version.
Details

The version of the Valorant client. This can be obtained in a number of ways:

  • Parsing the ShooterGame log at %LocalAppData%\VALORANT\Saved\Logs\ShooterGame.log
  • Using the Sessions endpoint
  • Using the third-party RadiantConnect version endpoint (data.riot_client_version )
  • Using the third-party Versions endpoint
Sessions
entitlement token From the Entitlements Token or Entitlement endpoint.
Details
Can be obtained locally with the Entitlements Token endpoint or remotely using Riot auth and the Entitlement endpoint
Entitlements Token
auth token From the Entitlements Token endpoint or Riot auth.
Details
Can be obtained locally with the Entitlements Token endpoint or remotely by first using the Auth Cookies endpoint then using the cookies with the Auth Request endpoint
Authentication

Response

rosterId string · uuid

UUID

name string
tag string
customization object
Show nested attributes Hide nested attributes 4
icon string · uuid

UUID

primaryColor string

Unreal Engine color string

secondaryColor string
tertiaryColor string
members array[object]
Show nested attributes Hide nested attributes 4
puuid string · uuid

Player UUID

role enum
"OWNER""MEMBER"
roleId number
createdAt number

Unix timestamp (seconds)

season object
Show nested attributes Hide nested attributes 17
id string · uuid

UUID

isEnrolled boolean
conference string
division number
isProvisionalDivision boolean
promotionApplied boolean
points number
wins number
gamesPlayed number
seasonMatchRoundWins number
seasonMatchRoundsPlayed number
crest string

e.g. "NONE", "FIRST", "COMPETITOR"

plating string

e.g. "BASIC", "QUALIFIED"

matches record<string, object> optional
Show nested attributes Hide nested attributes 7
matchId string · uuid

UUID

seasonId string · uuid

UUID

eventId string · uuid

UUID

startTime number

Milliseconds since epoch

pointDeltas object
Show nested attributes Hide nested attributes 3
before number
after number
earned number
outcome string

e.g. "win", "loss"

opponentRosterID string · uuid

UUID

tournaments record<string, object> optional
Show nested attributes Hide nested attributes 5
tournamentId string · uuid

UUID

placement number
startTime number

Unix timestamp (seconds)

pointDeltas object
Show nested attributes Hide nested attributes 3
before number
after number
earned number
matches record<string, object>
Show nested attributes Hide nested attributes 4
points number
roundNumber number
totalRounds number
bracketType string

e.g. "WINNERS", "LOSERS"

hasEarnedPromotionForNextSeason boolean
hasEarnedPrestige boolean
version object
Show nested attributes Hide nested attributes 2
socialVersion number
premierVersion number
createdAt number

Unix timestamp (seconds)

seasonalInfoBySeasonID record<string, object>
Show nested attributes Hide nested attributes 17
id string · uuid

UUID

isEnrolled boolean
conference string
division number
isProvisionalDivision boolean
promotionApplied boolean
points number
wins number
gamesPlayed number
seasonMatchRoundWins number
seasonMatchRoundsPlayed number
crest string

e.g. "NONE", "FIRST", "COMPETITOR"

plating string

e.g. "BASIC", "QUALIFIED"

matches record<string, object> optional
Show nested attributes Hide nested attributes 7
matchId string · uuid

UUID

seasonId string · uuid

UUID

eventId string · uuid

UUID

startTime number

Milliseconds since epoch

pointDeltas object
Show nested attributes Hide nested attributes 3
before number
after number
earned number
outcome string

e.g. "win", "loss"

opponentRosterID string · uuid

UUID

tournaments record<string, object> optional
Show nested attributes Hide nested attributes 5
tournamentId string · uuid

UUID

placement number
startTime number

Unix timestamp (seconds)

pointDeltas object
Show nested attributes Hide nested attributes 3
before number
after number
earned number
matches record<string, object>
Show nested attributes Hide nested attributes 4
points number
roundNumber number
totalRounds number
bracketType string

e.g. "WINNERS", "LOSERS"

hasEarnedPromotionForNextSeason boolean
hasEarnedPrestige boolean